umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
UMLEntityConstraintList Class Reference

`#include <umlentityconstraintlist.h>`

Inheritance diagram for UMLEntityConstraintList:

## Public Member Functions
| UMLEntityConstraintList ()
virtual | ~UMLEntityConstraintList ()
virtual void | copyInto (UMLEntityConstraintList *rhs) const
virtual UMLEntityConstraintList * | clone () const

## Detailed Description

This sub-class adds copyInto and clone to the QPtrList<UMLEntityConstraint> base class.

## Constructor & Destructor Documentation

## ◆ UMLEntityConstraintList()

UMLEntityConstraintList::UMLEntityConstraintList | ( |  | ) |

## ◆ ~UMLEntityConstraintList()

UMLEntityConstraintList::~UMLEntityConstraintList | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ clone()

UMLEntityConstraintList * UMLEntityConstraintList::clone | ( |  | ) | const
| virtual

Make a clone of this object.

## ◆ copyInto()

void UMLEntityConstraintList::copyInto | ( | UMLEntityConstraintList * | rhs | ) | const
| virtual

Copy the internal presentation of this object into the new object.

The documentation for this class was generated from the following files:

- umbrello/umlmodel/umlentityconstraintlist.h
- umbrello/umlmodel/umlentityconstraintlist.cpp